NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::SetManager Class Reference

Represents a group of CAE object sets. More...

Inheritance diagram for NXOpen::CAE::SetManager:
NXOpen::NXObject NXOpen::TaggedObject NXOpen::INXObject

Public Types

enum  DistributedPlanesBboxType { DistributedPlanesBboxTypeModel, DistributedPlanesBboxTypeSelection }
 Used to specify which bounding box defines the position or radius of the sphere. More...
 
enum  DistributedPlanesBoundingSphereDirection { DistributedPlanesBoundingSphereDirectionVector, DistributedPlanesBoundingSphereDirectionThreePointsNormal }
 Used to specify the method to define the Z+ direction of the sphere. More...
 
enum  DistributedPlanesBoundingSphereType { DistributedPlanesBoundingSphereTypeHalf, DistributedPlanesBoundingSphereTypeFull }
 Used to specify the type of bounding sphere to lay the distributed planes on. More...
 
enum  DistributedPlanesPosition { DistributedPlanesPositionBbox, DistributedPlanesPositionManual }
 Used to specify the method to define the position or the radius of the sphere. More...
 
- Public Types inherited from NXOpen::NXObject
enum  AttributeType {
  AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger,
  AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference,
  AttributeTypeAny = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

void CleanTargetSet (int setIndex)
 Clears the objects stored in the set specified in the set manager. More...
 
NXOpen::CAE::CAESetCreateCaeSet ()
 Creates a CAE.CAESet. More...
 
void GetTargetSetDistributedPlanes (int setIndex, NXOpen::CAE::SetManager::DistributedPlanesPosition *centerMethod, NXOpen::Point **centerPoint, NXOpen::CAE::SetManager::DistributedPlanesPosition *radiusMethod, NXOpen::Expression **radiusFactor, NXOpen::Expression **radiusValue, NXOpen::CAE::SetManager::DistributedPlanesBboxType *bboxOption, std::vector< NXOpen::CAE::FEElement * > &bboxElems, NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereType *spaceDefinition, NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereDirection *sphereDirection, NXOpen::Direction **sphereDirectionVector, NXOpen::Point **sphereDirectionPoint1, NXOpen::Point **sphereDirectionPoint2, NXOpen::Point **sphereDirectionPoint3, bool *flipNormal, int *refinementLevel)
 Gets the parameters for a distributed planes set. More...
 
void GetTargetSetExcludedMembers (int setIndex, std::vector< NXOpen::CAE::SetObject > &objects)
 Gets the objects for the specified target set excluded set. More...
 
NXOpen::CAE::CaeGroupGetTargetSetGroup (int setIndex)
 Gets the CAE group in the specified set. More...
 
void GetTargetSetMembers (int setIndex, NXOpen::NXObject **displayCoordinateSystem, std::vector< NXOpen::CAE::SetObject > &objects)
 Gets the objects for the specified target set. More...
 
void GetTargetSetPlane (int setIndex, NXOpen::Point3d *planePosition, NXOpen::Vector3d *planeNormal)
 Gets the parameters from a plane target set. More...
 
void GetTargetSetPlaneWithOffset (int setIndex, NXOpen::Point3d *planePosition, NXOpen::Vector3d *planeNormal, NXOpen::Expression **offsetValue)
 Gets the parameters from a plane target set. More...
 
NXOpen::Point3d GetTargetSetPointLocation (int setIndex)
 Gets the position from a point location target set. More...
 
void SetTargetSetDistributedPlanes (int setIndex, NXOpen::CAE::SetManager::DistributedPlanesPosition centerMethod, NXOpen::Point *centerPoint, NXOpen::CAE::SetManager::DistributedPlanesPosition radiusMethod, NXOpen::Expression *radiusFactor, NXOpen::Expression *radiusValue, NXOpen::CAE::SetManager::DistributedPlanesBboxType bboxOption, const std::vector< NXOpen::CAE::FEElement * > &bboxElems, NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereType spaceDefinition, NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereDirection sphereDirection, NXOpen::Direction *sphereDirectionVector, NXOpen::Point *sphereDirectionPoint1, NXOpen::Point *sphereDirectionPoint2, NXOpen::Point *sphereDirectionPoint3, bool flipNormal, int refinementLevel)
 Sets the parameters for a distributed planes set. More...
 
void SetTargetSetEdgePath (int setIndex, const std::vector< NXOpen::CAE::CAEEdge * > &seedEdges, const std::vector< NXOpen::CAE::CAEVertex * > &seedVertices)
 Sets the CAE edge path in the specified set. More...
 
void SetTargetSetEdgePath (int setIndex, const std::vector< NXOpen::CAE::CAEEdge * > &seedEdges, const std::vector< NXOpen::CAE::CAEVertex * > &seedVertices, const std::vector< bool > &preferFreeEdges, const std::vector< bool > &allowGapJumping, const std::vector< double > &gapJumpingTolerance)
 Sets the CAE edge path in the specified set. More...
 
void SetTargetSetElemEdgePath (int setIndex, const std::vector< NXOpen::CAE::FEElemEdge * > &seedEdges, const std::vector< NXOpen::CAE::FENode * > &seedVertices)
 Sets the CAE element edge path in the specified set. More...
 
void SetTargetSetElemEdgePath (int setIndex, const std::vector< NXOpen::CAE::FEElemEdge * > &seedEdges, const std::vector< NXOpen::CAE::FENode * > &seedVertices, const std::vector< bool > &preferFreeEdges, const std::vector< bool > &preferGeometryAssociatedEdges, const std::vector< bool > &preferFeatureElementEdges, const std::vector< double > &featureAngleTolerance, const std::vector< bool > &allowGapJumping, const std::vector< double > &gapJumpingTolerance)
 Sets the CAE element edge path in the specified set. More...
 
void SetTargetSetExcludedMembers (int setIndex, const std::vector< NXOpen::CAE::SetObject > &excludedObjects)
 Sets the CAE objects in the specified target set exclude set. More...
 
void SetTargetSetExcludedMembers (int setIndex, NXOpen::CAE::CaeSetGroupFilterType selRecipeFilter, const std::vector< NXOpen::CAE::SetObject > &objects)
 Sets the CAE objects in the specified target set exclude set. More...
 
void SetTargetSetGroup (int setIndex, NXOpen::CAE::CaeSetGroupFilterType filterType, NXOpen::CAE::CaeGroup *group)
 Sets the CAE group in the specified set. More...
 
void SetTargetSetMembers (int setIndex, const std::vector< NXOpen::CAE::SetObject > &objects)
 Sets the CAE objects in the specified set. More...
 
void SetTargetSetMembers (int setIndex, NXOpen::CAE::CaeSetGroupFilterType selRecipeFilter, const std::vector< NXOpen::CAE::SetObject > &objects)
 Sets the CAE objects in the specified set. More...
 
void SetTargetSetPlane (int setIndex, const NXOpen::Point3d &planePosition, const NXOpen::Vector3d &planeNormal)
 Creates a plane target set. More...
 
void SetTargetSetPlaneWithOffset (int setIndex, const NXOpen::Point3d &planePosition, const NXOpen::Vector3d &planeNormal, NXOpen::Expression *offsetValue)
 Creates a plane target set. More...
 
void SetTargetSetPointLocation (int setIndex, const NXOpen::Point3d &position)
 Creates a point location target set. More...
 
int TargetSetCount ()
 Returns the count of objects in the set
Created in NX4.0.0. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a group of CAE object sets.

The objects in each set can be used to create loads, constraints ..etc


This is a sub object

Created in NX4.0.0.

Member Enumeration Documentation

Used to specify which bounding box defines the position or radius of the sphere.

Enumerator
DistributedPlanesBboxTypeModel 

the whole FE model is used to calculate the bounding box

DistributedPlanesBboxTypeSelection 

a selection of elements is used to define the bounding box

Used to specify the method to define the Z+ direction of the sphere.

Enumerator
DistributedPlanesBoundingSphereDirectionVector 

defines Z+ with a vector

DistributedPlanesBoundingSphereDirectionThreePointsNormal 

defines Z+ from 3 points that form a plane and a normal

Used to specify the type of bounding sphere to lay the distributed planes on.

Enumerator
DistributedPlanesBoundingSphereTypeHalf 

places the distributed planes on half a sphere

DistributedPlanesBoundingSphereTypeFull 

places the distributed planes on a full sphere

Used to specify the method to define the position or the radius of the sphere.

Enumerator
DistributedPlanesPositionBbox 

the position or radius is based on the bounding box

DistributedPlanesPositionManual 

the position or radius is manually defined

Member Function Documentation

void NXOpen::CAE::SetManager::CleanTargetSet ( int  setIndex)

Clears the objects stored in the set specified in the set manager.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set in the set manager
NXOpen::CAE::CAESet* NXOpen::CAE::SetManager::CreateCaeSet ( )

Creates a CAE.CAESet.

Returns
the cae set created
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SetManager::GetTargetSetDistributedPlanes ( int  setIndex,
NXOpen::CAE::SetManager::DistributedPlanesPosition centerMethod,
NXOpen::Point **  centerPoint,
NXOpen::CAE::SetManager::DistributedPlanesPosition radiusMethod,
NXOpen::Expression **  radiusFactor,
NXOpen::Expression **  radiusValue,
NXOpen::CAE::SetManager::DistributedPlanesBboxType bboxOption,
std::vector< NXOpen::CAE::FEElement * > &  bboxElems,
NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereType spaceDefinition,
NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereDirection sphereDirection,
NXOpen::Direction **  sphereDirectionVector,
NXOpen::Point **  sphereDirectionPoint1,
NXOpen::Point **  sphereDirectionPoint2,
NXOpen::Point **  sphereDirectionPoint3,
bool *  flipNormal,
int *  refinementLevel 
)

Gets the parameters for a distributed planes set.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexIndex of the set
centerMethodMethod used to define the sphere center
centerPointSphere manual center position.
radiusMethodMethod used to define the sphere radius
radiusFactorMultiplying factor applied to the model bounding box diagonal to get the sphere radius.
radiusValueRadius mahual value.
bboxOptionBounding box definition option
bboxElemsSelection used to calculate the bounding box for the manual bounding box option
spaceDefinitionType of bounding sphere (half or full)
sphereDirectionSphere direction definition method
sphereDirectionVectorFor the sphere vector method: sphere direction vector
sphereDirectionPoint1For the sphere 3 points normal method: 1st point
sphereDirectionPoint2For the sphere 3 points normal method: 2nd point
sphereDirectionPoint3For the sphere 3 points normal method: 3rd point
flipNormalFor the sphere 3 points normal method: flag to flip the normal direction
refinementLevelRefinement level of the distributed plave wave set.
void NXOpen::CAE::SetManager::GetTargetSetExcludedMembers ( int  setIndex,
std::vector< NXOpen::CAE::SetObject > &  objects 
)

Gets the objects for the specified target set excluded set.


Created in NX5.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
objectsobjects in set
NXOpen::CAE::CaeGroup* NXOpen::CAE::SetManager::GetTargetSetGroup ( int  setIndex)

Gets the CAE group in the specified set.

Returns
group object from set. may be NULL
Created in NX8.0.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
setIndexindex of the set
void NXOpen::CAE::SetManager::GetTargetSetMembers ( int  setIndex,
NXOpen::NXObject **  displayCoordinateSystem,
std::vector< NXOpen::CAE::SetObject > &  objects 
)

Gets the objects for the specified target set.


Created in NX4.0.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
displayCoordinateSystemdisplay coordinate system
objectsobjects in set
void NXOpen::CAE::SetManager::GetTargetSetPlane ( int  setIndex,
NXOpen::Point3d planePosition,
NXOpen::Vector3d planeNormal 
)

Gets the parameters from a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE::SetManager::CreateCaeSet and CAE::CAESet::SetMembers since and requires its own interface to retrieve the parameters.


Deprecated:
Deprecated in NX12.0.0. Use overloaded CAE::SetManager::GetTargetSetPlaneWithOffset .


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
planePositionplane's position
planeNormalplane's normal
void NXOpen::CAE::SetManager::GetTargetSetPlaneWithOffset ( int  setIndex,
NXOpen::Point3d planePosition,
NXOpen::Vector3d planeNormal,
NXOpen::Expression **  offsetValue 
)

Gets the parameters from a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE::SetManager::CreateCaeSet and CAE::CAESet::SetMembers since and requires its own interface to retrieve the parameters.


Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
planePositionplane's position
planeNormalplane's normal
offsetValueoffset value that was used to construct the plane.
NXOpen::Point3d NXOpen::CAE::SetManager::GetTargetSetPointLocation ( int  setIndex)

Gets the position from a point location target set.

The point location target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric point located in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE::SetManager::CreateCaeSet and CAE::CAESet::SetMembers since and requires its own interface to retrieve the position.

Returns
point location's position
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
setIndexindex of the set
void NXOpen::CAE::SetManager::SetTargetSetDistributedPlanes ( int  setIndex,
NXOpen::CAE::SetManager::DistributedPlanesPosition  centerMethod,
NXOpen::Point centerPoint,
NXOpen::CAE::SetManager::DistributedPlanesPosition  radiusMethod,
NXOpen::Expression radiusFactor,
NXOpen::Expression radiusValue,
NXOpen::CAE::SetManager::DistributedPlanesBboxType  bboxOption,
const std::vector< NXOpen::CAE::FEElement * > &  bboxElems,
NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereType  spaceDefinition,
NXOpen::CAE::SetManager::DistributedPlanesBoundingSphereDirection  sphereDirection,
NXOpen::Direction sphereDirectionVector,
NXOpen::Point sphereDirectionPoint1,
NXOpen::Point sphereDirectionPoint2,
NXOpen::Point sphereDirectionPoint3,
bool  flipNormal,
int  refinementLevel 
)

Sets the parameters for a distributed planes set.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexIndex of the set
centerMethodMethod used to define the sphere center
centerPointSphere manual center position.
radiusMethodMethod used to define the sphere radius
radiusFactorMultiplying factor applied to the model bounding box diagonal to get the sphere radius.
radiusValueRadius manual value.
bboxOptionBounding box definition option
bboxElemsSelection used to calculate the bounding box for the manual bounding box option
spaceDefinitionType of bounding sphere (half or full)
sphereDirectionSphere direction definition method
sphereDirectionVectorFor the sphere vector method: sphere direction vector
sphereDirectionPoint1For the sphere 3 points normal method: 1st point
sphereDirectionPoint2For the sphere 3 points normal method: 2nd point
sphereDirectionPoint3For the sphere 3 points normal method: 3rd point
flipNormalFor the sphere 3 points normal method: flag to flip the normal direction
refinementLevelRefinement level of the distributed plave wave set.
void NXOpen::CAE::SetManager::SetTargetSetEdgePath ( int  setIndex,
const std::vector< NXOpen::CAE::CAEEdge * > &  seedEdges,
const std::vector< NXOpen::CAE::CAEVertex * > &  seedVertices 
)

Sets the CAE edge path in the specified set.


Deprecated:
Deprecated in NX10.0.0. Use overloaded CAE::SetManager::SetTargetSetEdgePath with additional arguments instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed edges to define the path
seedVerticesseed vertices to define the path
void NXOpen::CAE::SetManager::SetTargetSetEdgePath ( int  setIndex,
const std::vector< NXOpen::CAE::CAEEdge * > &  seedEdges,
const std::vector< NXOpen::CAE::CAEVertex * > &  seedVertices,
const std::vector< bool > &  preferFreeEdges,
const std::vector< bool > &  allowGapJumping,
const std::vector< double > &  gapJumpingTolerance 
)

Sets the CAE edge path in the specified set.


Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed edges to define the path
seedVerticesseed vertices to define the path
preferFreeEdgesif true for seed, prefer free edges
allowGapJumpingif true for seed, gaps between edges will be jumped
gapJumpingToleranceif allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between edges
void NXOpen::CAE::SetManager::SetTargetSetElemEdgePath ( int  setIndex,
const std::vector< NXOpen::CAE::FEElemEdge * > &  seedEdges,
const std::vector< NXOpen::CAE::FENode * > &  seedVertices 
)

Sets the CAE element edge path in the specified set.


Deprecated:
Deprecated in NX10.0.0. Use overloaded CAE::SetManager::SetTargetSetElemEdgePath with additional arguments instead.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed element edges to define the path
seedVerticesseed nodes to define the path
void NXOpen::CAE::SetManager::SetTargetSetElemEdgePath ( int  setIndex,
const std::vector< NXOpen::CAE::FEElemEdge * > &  seedEdges,
const std::vector< NXOpen::CAE::FENode * > &  seedVertices,
const std::vector< bool > &  preferFreeEdges,
const std::vector< bool > &  preferGeometryAssociatedEdges,
const std::vector< bool > &  preferFeatureElementEdges,
const std::vector< double > &  featureAngleTolerance,
const std::vector< bool > &  allowGapJumping,
const std::vector< double > &  gapJumpingTolerance 
)

Sets the CAE element edge path in the specified set.


Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed element edges to define the path
seedVerticesseed nodes to define the path
preferFreeEdgesif true for seed, prefer free element edges
preferGeometryAssociatedEdgesif true for seed, prefer geometry associated element edges
preferFeatureElementEdgesif true for seed, prefer feature element edges
featureAngleToleranceif preferFeatureElementEdge is true for seed, this is the feature angle tolerance to use
allowGapJumpingif true for seed, gaps between element edges will be jumped
gapJumpingToleranceif allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between element edges
void NXOpen::CAE::SetManager::SetTargetSetExcludedMembers ( int  setIndex,
const std::vector< NXOpen::CAE::SetObject > &  excludedObjects 
)

Sets the CAE objects in the specified target set exclude set.


Created in NX5.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
excludedObjectsexcluded objects to add to set
void NXOpen::CAE::SetManager::SetTargetSetExcludedMembers ( int  setIndex,
NXOpen::CAE::CaeSetGroupFilterType  selRecipeFilter,
const std::vector< NXOpen::CAE::SetObject > &  objects 
)

Sets the CAE objects in the specified target set exclude set.


Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
selRecipeFilterfilter to extract type of objects from the selection recipe
objectsexcluded objects to add to set
void NXOpen::CAE::SetManager::SetTargetSetGroup ( int  setIndex,
NXOpen::CAE::CaeSetGroupFilterType  filterType,
NXOpen::CAE::CaeGroup group 
)

Sets the CAE group in the specified set.


Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
filterTypefilter to extract type of objects from the group
groupgroup to add to set
void NXOpen::CAE::SetManager::SetTargetSetMembers ( int  setIndex,
const std::vector< NXOpen::CAE::SetObject > &  objects 
)

Sets the CAE objects in the specified set.


Created in NX4.0.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
objectsobjects to add to set
void NXOpen::CAE::SetManager::SetTargetSetMembers ( int  setIndex,
NXOpen::CAE::CaeSetGroupFilterType  selRecipeFilter,
const std::vector< NXOpen::CAE::SetObject > &  objects 
)

Sets the CAE objects in the specified set.


Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
selRecipeFilterfilter to extract type of objects from the selection recipe
objectsobjects to add to set
void NXOpen::CAE::SetManager::SetTargetSetPlane ( int  setIndex,
const NXOpen::Point3d planePosition,
const NXOpen::Vector3d planeNormal 
)

Creates a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch elements or nodes. It cannot rely on the standard CAE::SetManager::CreateCaeSet and CAE::CAESet::SetMembers since and requires its own interface to create the plane.


Deprecated:
Deprecated in NX12.0.0. Use overloaded CAE::SetManager::SetTargetSetPlaneWithOffset .


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
planePositionplane's position
planeNormalplane's normal.
void NXOpen::CAE::SetManager::SetTargetSetPlaneWithOffset ( int  setIndex,
const NXOpen::Point3d planePosition,
const NXOpen::Vector3d planeNormal,
NXOpen::Expression offsetValue 
)

Creates a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch elements or nodes. It cannot rely on the standard CAE::SetManager::CreateCaeSet and CAE::CAESet::SetMembers since and requires its own interface to create the plane.


Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set.
planePositionplane's position.
planeNormalplane's normal.
offsetValueoffset value that was used to construct the plane.
void NXOpen::CAE::SetManager::SetTargetSetPointLocation ( int  setIndex,
const NXOpen::Point3d position 
)

Creates a point location target set.

The point location target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric point located in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE::SetManager::CreateCaeSet and CAE::CAESet::SetMembers since and requires its own interface to create the point location.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
positionpoint location's position
int NXOpen::CAE::SetManager::TargetSetCount ( )

Returns the count of objects in the set
Created in NX4.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.